import { ChakraProvider } from "@chakra-ui/react";
import React from "react";

import { FilterContextProvider } from "./contexts/FilterContext";
import { Routes } from "./routes";
import theme from "./styles/theme";

import "./utils/library";

const App = (): React.ReactElement => (
  <ChakraProvider theme={theme}>
    <FilterContextProvider>
      <Routes />
    </FilterContextProvider>
  </ChakraProvider>
);

export default App;
