/* eslint-disable react/require-default-props */
import { ButtonProps, Button } from "@chakra-ui/react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import React from "react";

interface IProps extends ButtonProps {
  theme: "primary" | "secondary" | "tertiary" | "quaternary";
  variant?: "normal" | "back";
  children?: React.ReactNode;
}

const CustomButton = ({
  children,
  theme,
  variant,
  ...rest
}: IProps): React.ReactElement => {
  let bgColor;
  let color;
  switch (theme) {
    case "primary":
      bgColor = "blue.500";
      color = "white";
      break;
    case "secondary":
      bgColor = "yellow.500";
      color = "white";
      break;
    case "tertiary":
      bgColor = "white";
      color = "blue.200";
      break;
    case "quaternary":
      bgColor = "blue.200";
      color = "white";
      break;
    default:
      bgColor = "blue.500";
      color = "white";
  }

  return variant === "back" ? (
    <Button
      h="34px"
      w="34px"
      borderRadius="50%"
      bgColor={bgColor}
      color={color}
      {...rest}
    >
      <FontAwesomeIcon icon="arrow-left" color="white" />
    </Button>
  ) : (
    <Button
      h="2.5rem"
      borderRadius="4px"
      bgColor={bgColor}
      color={color}
      {...rest}
    >
      {children}
    </Button>
  );
};

export default CustomButton;
