import { BoxProps, Img } from "@chakra-ui/react";
import React from "react";
import "slick-carousel/slick/slick.css";
import "slick-carousel/slick/slick-theme.css";
import Slider from "react-slick";

import defaultImage from "../../assets/default-event-image.png";

interface IProps extends BoxProps {
  images: Array<string> | undefined;
}

const Carousel = ({ images, ...rest }: IProps): React.ReactElement => {
  const settings = {
    dots: true,
    infinite: true,
    speed: 500,
    slidesToShow: 1,
    slidesToScroll: 1,
    nextArrow: <></>,
    prevArrow: <></>,
  };

  return (
    <Slider {...settings}>
      {images?.map((image, key) => (
        <Img {...rest} src={image} alt="imagem" key={key} />
      ))}
      {(!images || images.length === 0) && (
        <Img {...rest} src={defaultImage} alt="imagem" />
      )}
    </Slider>
  );
};

export default Carousel;
