import { Box, Text, Flex } from "@chakra-ui/react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import React from "react";

import IProps from "./IProps";

const EventDetailLabel = ({
  children,
  variant,
  icon,
  ...rest
}: IProps): React.ReactElement => {
  return variant === "primary" ? (
    <Box p="5px" borderRadius="8px" bgColor="blue.500" color="white" {...rest}>
      <Text fontSize="12px" fontWeight="bold" isTruncated>
        {children}
      </Text>
    </Box>
  ) : (
    <Flex {...rest}>
      {icon && <FontAwesomeIcon icon={icon} color="#265DA2" />}
      <Text marginLeft="5px" isTruncated>
        {children}
      </Text>
    </Flex>
  );
};

export default EventDetailLabel;
