import { Box, Img, Text } from "@chakra-ui/react";
import React from "react";

import { EventResponseListDTO } from "../../model/eventModel";

interface IProps {
  event: EventResponseListDTO;
}

const ImageName = ({ event }: IProps): React.ReactElement => {
  const { userImage, userName } = event;

  return (
    <Box d="flex" flexDirection="row" width="100%" p="10px" alignItems="center">
      <Img
        src={userImage}
        alt=""
        h="39px"
        w="39px"
        borderRadius="50%"
        border="3px solid"
        marginRight="10px"
      />

      <Text color="blue.500" fontSize="sm" align="initial">
        {userName}
      </Text>
    </Box>
  );
};

export default ImageName;
