/* eslint-disable no-lone-blocks */
interface LatLong {
  latitude: number;
  longitude: number;
}
interface IProps {
  currentLocation: LatLong;
  eventLocation: LatLong;
}

const OpenMaps = ({ currentLocation, eventLocation }: IProps): void => {
  if (
    navigator.platform.indexOf("iPhone") !== -1 ||
    navigator.platform.indexOf("iPod") !== -1 ||
    navigator.platform.indexOf("iPad") !== -1
  )
    window.open(
      `maps://www.google.com/maps/dir/?api=1&travelmode=driving&layer=traffic&origin=${currentLocation.latitude},${currentLocation.longitude}&destination=${eventLocation.latitude},${eventLocation.longitude}`
    );
  else
    window.open(
      `https://www.google.com/maps/dir/?api=1&travelmode=driving&layer=traffic&origin=${currentLocation.latitude},${currentLocation.longitude}&destination=${eventLocation.latitude},${eventLocation.longitude}`
    );
};

export default OpenMaps;
