import { Input, InputGroup, InputRightElement } from "@chakra-ui/react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import React, { useState } from "react";

import IProps from "./IProps";

const PasswordInput = ({
  onChange,
  variant,
  ...rest
}: IProps): React.ReactElement => {
  const [showPassword, setShowPassword] = useState(false);
  const handleClick = () => setShowPassword(!showPassword);

  return (
    <InputGroup size="md">
      <Input
        {...rest}
        pr="4.5rem"
        type={showPassword ? "text" : "password"}
        variant={variant}
        onChange={(e) => onChange(e.target.value)}
      />
      <InputRightElement width="4.5rem">
        {showPassword ? (
          <FontAwesomeIcon icon="eye" onClick={handleClick} />
        ) : (
          <FontAwesomeIcon icon="eye-slash" onClick={handleClick} />
        )}
      </InputRightElement>
    </InputGroup>
  );
};

export default PasswordInput;
