import { Text, Progress, Box } from "@chakra-ui/react";
import React from "react";

interface IProps {
  taskProgress: number;
}

/* eslint-disable jsx-a11y/label-has-associated-control */
const ProgressBar = ({ taskProgress }: IProps): React.ReactElement => {
  return (
    <Box>
      <Box display="flex" justifyContent="space-between">
        <Text color="yellow.500">Progesso do Evento</Text>
        <Text color="yellow.500">{taskProgress}%</Text>
      </Box>
      <Progress
        h="20px"
        value={taskProgress}
        borderRadius="8px"
        width="100%"
        colorScheme="yellow"
        backgroundColor="gray.500"
      />
    </Box>
  );
};

export default ProgressBar;
