/* eslint-disable react/require-default-props */
import {
  Input,
  InputProps,
  InputGroup,
  InputRightElement,
} from "@chakra-ui/react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import React from "react";

interface SearchBarProps extends InputProps {
  icon?: React.ReactNode;
}

const SearchBar = ({
  icon,
  onChange,
  value,
  ...props
}: SearchBarProps): JSX.Element => {
  return (
    <InputGroup>
      <Input
        placeholder="Pesquisar evento"
        borderColor="blue.500"
        value={value}
        onChange={onChange}
        _hover={{ borderColor: "blue.500" }}
        bg="white"
        {...props}
      />
      <InputRightElement>
        {icon || <FontAwesomeIcon icon="search" />}
      </InputRightElement>
    </InputGroup>
  );
};

export default SearchBar;
