import { Box } from "@chakra-ui/react";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import React from "react";

import Button from "../Button";
import ProgressBar from "../ProgressBar";

interface IProps {
  setOpenTaskMaganer: (value: boolean) => void;
  loggedUserParticipate: boolean;
  taskProgress: number;
}

const SeeTasks = ({
  setOpenTaskMaganer,
  loggedUserParticipate,
  taskProgress,
}: IProps): React.ReactElement => {
  return (
    <Box
      borderRadius="15px"
      boxShadow="lg"
      p="24px 8px"
      m="10px auto"
      w="300px"
    >
      <Box display="flex" padding="8px" flexDirection="row" w="100%">
        <Box flexGrow={1}>
          <FontAwesomeIcon icon="tasks" color="#f9c201" size="3x" />
        </Box>
        <Box flexGrow={9} ml="12px">
          <ProgressBar taskProgress={taskProgress} />
        </Box>
      </Box>
      <Box justifyContent="center" display="flex" flexDirection="row" w="100%">
        <Button
          theme="secondary"
          bgPosition="center"
          margin="24px 5px 0 5px"
          w="100%"
          isDisabled={!loggedUserParticipate}
          onClick={() => setOpenTaskMaganer(true)}
          _hover={{ background: "yellow.500" }}
          _active={{ background: "yellow.500" }}
        >
          VER TAREFAS
        </Button>
      </Box>
    </Box>
  );
};

export default SeeTasks;
