/* eslint-disable no-alert */
/* eslint-disable @typescript-eslint/no-use-before-define */
import { BoxProps, Img } from "@chakra-ui/react";
import React, { useState, useEffect } from "react";

import OpenMaps from "../OpenMaps";

interface IProps extends BoxProps {
  lat: string;
  lng: string;
}

const StaticMap = ({ lat, lng, ...props }: IProps): React.ReactElement => {
  const [currentLocation, setCurrentLocation] = useState<GeolocationPosition>();

  useEffect(() => {
    getCurrentLocation();
  }, []);

  const map = () => {
    const urlMap = `https://maps.googleapis.com/maps/api/staticmap?center=${lat},${lng}&zoom=15&size=300x200&maptype=roadmap&markers=color:red%7C${lat},${lng}&key=${process.env.REACT_APP_GOOGLE_MAPS_API_KEY}`;
    return urlMap;
  };

  const openMaps = () => {
    getCurrentLocation();
    const cl = {
      latitude: currentLocation?.coords.latitude || 0,
      longitude: currentLocation?.coords.longitude || 0,
    };
    const el = {
      latitude: Number(lat),
      longitude: Number(lng),
    };
    OpenMaps({ currentLocation: cl, eventLocation: el });
  };

  const getCurrentLocation = () => {
    if (navigator.geolocation) {
      navigator.geolocation.getCurrentPosition(
        (position: GeolocationPosition) => setCurrentLocation(position)
      );
    } else {
      alert("Geolocalização não é suportada.");
    }
  };

  return <Img {...props} src={map()} alt="Mapa" onClick={openMaps} />;
};

export default StaticMap;
