import {
  Flex,
  Modal,
  ModalBody,
  ModalCloseButton,
  ModalContent,
  ModalFooter,
  ModalHeader,
  ModalOverlay,
  Text,
} from "@chakra-ui/react";
import React from "react";
import { Link } from "react-router-dom";

import Button from "../Button";

interface ISelectedUser {
  id: string | undefined;
  description: string;
  name: string | undefined;
}

interface IProps {
  open: boolean;
  user: ISelectedUser;
  close: () => void;
}

const UserReasonModal = ({ open, user, close }: IProps): React.ReactElement => {
  return (
    <Modal isOpen={open} onClose={close} isCentered closeOnOverlayClick={false}>
      <ModalOverlay />
      <ModalContent>
        <ModalHeader>
          {user.name}
          <Link
            style={{ color: "#265DA2", fontSize: "0.8rem" }}
            to={`/profile/${user.id}`}
          >
            (ver perfil)
          </Link>
        </ModalHeader>
        <ModalCloseButton />
        <ModalBody>
          <Text>{user.description}</Text>
        </ModalBody>

        <ModalFooter>
          <Flex w="100%" justifyContent="center">
            <Button theme="secondary" w="40%" onClick={close}>
              OK
            </Button>
          </Flex>
        </ModalFooter>
      </ModalContent>
    </Modal>
  );
};

export default UserReasonModal;
