/* eslint-disable max-classes-per-file */
import { Task } from "./taskModel";
import { User } from "./userModel";

export class EventRequest {
  constructor(
    public title?: string,
    public description?: string,
    public phone?: string,
    public type?: string,
    public startDate?: string,
    public endDate?: string,
    public street?: string,
    public images?: Array<string>,
    public latitude?: number,
    public longitude?: number,
    public tasks?: Task[]
  ) {}
}
export class EventResponseDTO {
  constructor(
    public title?: string,
    public description?: string,
    public phone?: string,
    public startDate?: string,
    public endDate?: string,
    public address?: string,
    public images?: Array<string>,
    public tasks?: Task[]
  ) {}
}

export class EventResponseListDTO {
  constructor(
    public id?: string,
    public title?: string,
    public description?: string,
    public eventDate?: string,
    public eventTime?: string,
    public userImage?: string,
    public ownerId?: string,
    public userName?: string,
    public street?: string,
    public images?: Array<string>,
    public latitude?: string,
    public longitude?: string,
    public volunteer?: Array<User>
  ) {}
}
export class EventDetailsResponseDTO {
  constructor(
    public taskProgress: number,
    public id?: string,
    public title?: string,
    public description?: string,
    public eventDate?: string,
    public eventTime?: string,
    public userImage?: string,
    public userName?: string,
    public street?: string,
    public images?: Array<string>,
    public latitude?: string,
    public longitude?: string,
    public volunteers?: Array<User>,
    public loggedUserParticipate?: boolean,
    public tasks?: Array<Task>,
    public user?: User,
    public type?: string
  ) {}
}
