import { Box, Text, Image, VStack } from "@chakra-ui/react";
import React, { useEffect, useState } from "react";

import logoImage from "../../assets/logo-1X.png";
import BottomMenu from "../../components/BottomMenu";
import { Header } from "../../components/Header";
import RegistrationCard from "../../components/RegistrationCard";
import { User } from "../../model/userModel";
import { getUsersInactiveEntities } from "../../services/userService";

const RegistrationRequest = (): React.ReactElement => {
  const [usersInactiveEntities, setUsersInactiveEntities] = useState<User[]>(
    []
  );
  const getUsersEntities = async () => {
    const entities = await getUsersInactiveEntities();
    setUsersInactiveEntities(entities);
  };
  useEffect(() => {
    getUsersEntities();
  }, []);

  return (
    <>
      <VStack>
        <Header variant="double" position="fixed" zIndex="99">
          <Box id="first-name" isRequired width="100%" bg="#265DA2" mb="-1px">
            <Box id="algo" display="flex" maxW="720px" p="8px 8px 0 8px">
              <Image src={logoImage} w="96px" h="96px" />
            </Box>
          </Box>
        </Header>
        <div className="main-container">
          <VStack
            id="page"
            marginTop="150px"
            maxW="100%"
            justifyContent="flex-end"
          >
            <Box marginTop="30px" maxWidth="100%">
              <Text as="u" fontWeight="bold" fontSize="22px" color="yellow.500">
                CADASTROS PENDENTES
              </Text>
            </Box>
          </VStack>
        </div>
        <Box id="cards-collection" width="100%" alignContent="end">
          <Box id="cards-collection2" width="90%" marginLeft="10%">
            {usersInactiveEntities.map((entity, key) => (
              <Box key={key} marginTop="20px">
                <RegistrationCard
                  id={entity.id}
                  name={entity.name}
                  email={entity.email}
                  image={entity.image}
                  phone={entity.phone}
                  findUsers={getUsersEntities}
                />
              </Box>
            ))}
          </Box>
          <Box id="footer">
            <BottomMenu defaultIndex={4} />
          </Box>
        </Box>
      </VStack>
    </>
  );
};

export default RegistrationRequest;
