/* eslint-disable no-return-assign */
import { EventRequest, EventResponseListDTO } from "../model/eventModel";
import api from "./api";

const serviceName = "/events";

export async function createEvent(event: EventRequest): Promise<any> {
  let response = null;
  await api
    .post(`${serviceName}`, event)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function findActiveEvent(): Promise<Array<EventResponseListDTO>> {
  let response: Array<EventResponseListDTO> = [];
  await api
    .get(`${serviceName}/all-active`)
    .then((data) => (response = data.data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function findEventById(id: string): Promise<any> {
  let response = null;
  await api
    .get(`${serviceName}/${id}`)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function participateEvent(id: string): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/participate-event/${id}`)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function findEventDetails(id: string): Promise<any> {
  let response = null;
  await api
    .get(`${serviceName}/event-details/${id}`)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function cancelParticipate(id: string): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/cancel-participate/${id}`)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function findAllDonateEventsActive(): Promise<any> {
  let response = null;
  await api
    .get(`${serviceName}/find-all-active-donate-events`)
    .then((data) => (response = data.data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function donate(eventId: string, taskId: string): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/donate`, { eventId, taskId })
    .then((data) => (response = data.data))
    .catch((error) => {
      throw error;
    });
  return response;
}
