/* eslint-disable no-return-assign */
import { TaskDTO } from "../model/taskModel";
import api from "./api";

const serviceName = "/tasks";

export async function createTask(
  eventId: string,
  taskDescription: string
): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/create-task/${eventId}`, {
      description: taskDescription,
    })
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function deleteTask(
  eventId: string,
  taskId: string
): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/delete-task/${eventId}`, {
      id: taskId,
    })
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function joinTask(eventId: string, taskId: string): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/join-task/${eventId}`, {
      id: taskId,
    })
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function completeTask(
  eventId: string,
  taskId: string
): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/complete-task/${eventId}`, {
      id: taskId,
    })
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function leaveTask(eventId: string, taskId: string): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/leave-task/${eventId}`, {
      id: taskId,
    })
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function evaluationTask(
  eventId: string,
  taskDTO: TaskDTO
): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/evaluation-task/${eventId}`, taskDTO)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}
