/* eslint-disable no-return-assign */
import { User, UserRegister } from "../model/userModel";
import api from "./api";

const serviceName = "/users";

export async function createUser(user: UserRegister): Promise<any> {
  let response = null;
  await api
    .post(`${serviceName}`, user)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function getLoggedUser(): Promise<User> {
  const response = await api.get(`${serviceName}/logged-user`);

  return response.data;
}

export async function getUsersInactiveEntities(): Promise<User[]> {
  const response = await api.get(`${serviceName}/get-users-inactive-entities`);

  return response.data;
}

export async function accept(userId: string): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/admin/accept/${userId}`)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function deny(userId: string): Promise<any> {
  let response = null;
  await api
    .put(`${serviceName}/admin/deny/${userId}`)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}

export async function findById(id: string): Promise<any> {
  let response = null;
  await api
    .get(`${serviceName}/find-by-id/${id}`)
    .then((data) => (response = data))
    .catch((error) => {
      throw error;
    });
  return response;
}
