import { extendTheme } from "@chakra-ui/react";
import { createBreakpoints } from "@chakra-ui/theme-tools";

const palette = {
  colors: {
    blue: {
      50: "#f3f3f7",
      100: "#e6e6ef",
      200: "#265DA2",
      300: "#9b9bc1",
      400: "#515092",
      500: "#060563",
      600: "#050559",
      700: "#05044a",
      800: "#04033b",
      900: "#030231",
    },
    yellow: {
      50: "#fffcf2",
      100: "#fef9e6",
      200: "#fef0c0",
      300: "#fde799",
      400: "#fbd44d",
      500: "#f9c201",
      600: "#e0af01",
      700: "#bb9201",
      800: "#957401",
      900: "#7a5f00",
    },
    gray: {
      25: "#f8f8f8",
      50: "#f1f1f1",
      100: "#dddddd",
      200: "#c8c8c8",
      300: "#AAAAAA",
      400: "#9e9e9e",
      500: "#757575",
      600: "#6C6C6C",
      700: "#696969",
      800: "#585858",
      900: "#2a3c44",
      1000: "#393939",
    },
    green: {
      50: "#f7fcf9",
      100: "#eefaf3",
      200: "#d5f2e2",
      300: "#bbead1",
      400: "#88dbae",
      500: "#55cb8b",
      600: "#4db77d",
      700: "#409868",
      800: "#337a53",
      900: "#2a6344",
    },
    white: "#FFF",
  },
  config: {
    initialColorMode: "light",
    useSystemColorMode: false,
  },
};

const breakpoints = createBreakpoints({
  sm: "320px",
  sm2: "425px",
  md: "768px",
  lg: "960px",
  xl: "1200px",
});

export default extendTheme(palette, breakpoints);
