import jwt from "jsonwebtoken";
import moment from "moment";

export const isAuthenticated = (): boolean => {
  const token = window.localStorage.getItem("token");
  if (token) {
    const decodedToken: any = jwt.decode(token);
    if (moment().isAfter(decodedToken.exp * 1000)) {
      window.localStorage.removeItem("token");
      return false;
    }
    return true;
  }
  return false;
};
