/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/* eslint-disable @typescript-eslint/no-use-before-define */
import Swal from "sweetalert2";

import { User } from "../model/userModel";

export interface FilterDTO {
  filterUserCreatedEvents: boolean;
  filterUserParticipateEvents: boolean;
}

export const getLoggedUserFromLocalStorage = (): User => {
  const localStorageItem = window.localStorage.getItem("@mutirao_user") || "";
  let loggedUser = {};
  if (localStorageItem) {
    loggedUser = JSON.parse(localStorageItem);
  }
  return loggedUser;
};

export const showSweetAlertConfirm = (
  title: any,
  html: any,
  icon: any,
  callback: any
): void => {
  Swal.fire({
    icon,
    title,
    html,
    showCancelButton: true,
    showConfirmButton: true,

    cancelButtonText: "Cancelar",
    confirmButtonText: "Sim",

    confirmButtonColor: "#265DA2",

    showCloseButton: true,
    allowOutsideClick: false,
    reverseButtons: true,
  }).then((result) => {
    if (result.isConfirmed && !!callback) {
      callback();
    }
  });
};

export const showSweetAlertMessage = (
  title: any,
  html: any,
  icon: any
): void => {
  Swal.fire({
    icon,
    title,
    confirmButtonColor: "#265DA2",
  });
};

export const saveFiltersLocalStorage = (filter: FilterDTO): void => {
  localStorage.setItem("filters", JSON.stringify(filter));
};

export const loadFiltersLocalStorage = (): FilterDTO => {
  return JSON.parse(String(localStorage.getItem("filters"))) || {};
};
